﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls.Maps;
using System.Device.Location;

namespace BingServices.Services
{
    public abstract class Base
    {
        //Routing services: útvonal tervezés
        public const string apiKey = "Get your own key from bingmapsportal.com";
        protected readonly Credentials cred = new Credentials() { ApplicationId = apiKey };

        public static LocationCollection staticLocations = new LocationCollection()
                                            { 
                                                new GeoCoordinate(){Latitude=47.4770, Longitude=19.0614}, 
                                                new GeoCoordinate(){Latitude=47.4777, Longitude=19.0610},
                                                new GeoCoordinate(){Latitude=47.4785, Longitude=19.0625},
                                                new GeoCoordinate(){Latitude=47.4794, Longitude=19.0641},
                                                new GeoCoordinate(){Latitude=47.4799, Longitude=19.0652},
                                                new GeoCoordinate(){Latitude=47.4803, Longitude=19.0664},
                                                new GeoCoordinate(){Latitude=47.4806, Longitude=19.0671},
                                                new GeoCoordinate(){Latitude=47.4803, Longitude=19.0678},
                                                new GeoCoordinate(){Latitude=47.4801, Longitude=19.0680},
                                                new GeoCoordinate(){Latitude=47.4797, Longitude=19.0682},
                                                new GeoCoordinate(){Latitude=47.4794, Longitude=19.0683},
                                                new GeoCoordinate(){Latitude=47.4792, Longitude=19.0681},
                                                new GeoCoordinate(){Latitude=47.4792, Longitude=19.0677},
                                                new GeoCoordinate(){Latitude=47.4794, Longitude=19.0670},
                                            };
    }
}
